# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/6/27
import datetime
import os
import sys
import time

sys.path.append(os.getcwd())
from crawler-monitor.main.common import Common
from crawler-monitor.main.update_kanyikan import UpdateKanYiKan


class Main:
    @classmethod
    def main(cls):
        # while True:
        #     while True:
        #         main_time = datetime.datetime.now()
        start_time = time.time()
        today = Common.today
        UpdateKanYiKan.check_data(today)
        UpdateKanYiKan.update_play_cnt()
        end_time = time.time()
        Common.del_logs("kanyikan")
        Common.logger("kanyikan").info("全部更新完成，共耗时:{}秒\n", int(end_time-start_time))


if __name__ == "__main__":
    main = Main()
    main.main()
